org.omg.CORBA.portable

## Class ServantObject

- java.lang.Object
- - org.omg.CORBA.portable.ServantObject

    public class ServantObject
    extends Object

This class is part of the local stub API, the purpose of which is to provide high performance calls for collocated clients and servers (i.e. clients and servers residing in the same Java VM). The local stub API is supported via three additional methods on `ObjectImpl` and `Delegate`. ORB vendors may subclass this class to return additional request state that may be required by their implementations.

See Also:
  `ObjectImpl`, `Delegate`

### Field Summary

Fields
`Object` `servant` The real servant.

### Constructor Summary

Constructors
Constructor and Description
`ServantObject()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### servant

    public Object servant

The real servant. The local stub may cast this field to the expected type, and then invoke the operation directly. Note, the object may or may not be the actual servant instance.

### Constructor Detail

#### ServantObject

    public ServantObject()